Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Phiphi-

[Đã xong] Lisp xuất-nhập toạ độ

Các bài được khuyến nghị

Phiphi-    175
Cảm ơn anh vì lòng nhiệt tình chia sẻ dữ liệu với tôi. Tôi đã download file mà anh upload lên rồi nhưng không thể nào xuất toạ độ của đường spline ra được khi tôi sử dụng lệnh coornp như anh hướng dẫn. Mong anh chỉ bảo thêm.

Giả sử tôi muốn xuất toạ độ nằm trên đường spline bất kỳ nào đó (những điểm này tạo nên đường spline). thì không xuất ra được.

Thank you!

Nếu linh động sử dụng các Lisp đã post trong topic này thì sẽ làm được nhiều việc.

Ứng dụng trong trường hợp của Bác, hãy thử làm như sau:

+ Lệnh S2P trong s2p.lsp > đổi Spine ra Polyline.

+ Lệnh XDIV > chia đường cong, Lines, Pline 3D (chỉ vẽ các Points) theo các đoạn khác nhau do user nhập.

+ Lệnh C2P trong C2P.lsp > chia Pline cách khoảng x units. (tạo 1 layer Temp rồi dùng với lệnh này)

+ Lệnh COORN or CoorNP trong COORNP.lsp để xuất các toạ độ trên Pline ra 1 file Excel/Text. (chọn Pline vừa có từ lệnh C2P)

Hy vọng Bác lãnh hội được các chiêu thức trên.

 

Bài #26 đã có viết "Nếu Bác không xuất được thì chỉ upload đường spline để PP thử xem. Cheers!"

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Phiphi-    175
Bạn có thể hướng dẫn cách sử dụng lisp này được ko? Nghe nói thấy cũng hay đấy.

Khi mình chạy báo lỗi

Enter the vertical exaggeration <1>: 1

; error: bad argument type: numberp: nil

Video clip xài Lisp vẽ mặt cắt:

http://www.cadviet.com/upfiles/Create_a_Profile_.zip

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Phiphi-    175

PP dùng Lisp Copy+Align do bác Duy782006 viết, có nhiều cái hay trong đó. Giới thiệu để các Bác thử xem:

 

*Đây bạn:

-Tên lệnh: NALL (new algin line)

-Chọn đối tượng mốn copy và rotate (1 hoặc nhiều đối tượng) enter.

-Chọn các line (1 hoặc nhiều đối tượng, chỉ nhận đối tượng line) enter ==>Xong.

*Ở đây thì lisp sẽ copy đối tượng từ điểm đích thứ nhất đến điểm đầu của line và quay nó song song với line. Nếu bạn muốn copy đối tượng từ điểm đích thứ nhất đến điểm cuối của line thì sửa

(setq diem1m (cdr (assoc 10 ttdt)))

(setq diem2m (cdr (assoc 11 ttdt)))

Thành

(setq diem1m (cdr (assoc 11 ttdt)))

(setq diem2m (cdr (assoc 10 ttdt)))

Là được.

 

*Sẳn tiện mình viết luôn lệnh NALCL:

Giống lệnh trên nhưng thay vì chọn 2 điểm nguồn thì lisp hỏi chọn line nguồn (line này có thể nằm trong tập hợp chọn hoặc không gì cũng được). Lisp sẽ lầy điểm đầu và điểm cuối của line này làm 2 điểm nguồn.

 

(Defun C:NALCL ( ) 
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")

(command "undo" "be")
(setq donvi (/ (getvar "viewsize") 50))

(Princ "\nHay chon doi tuong :")
(setq XX (ssget))

(setq ddd (entsel "\nChon LINE nguon"))
(while
(or
  (null ddd)
  (/= "LINE" (cdr (assoc 0 (entget (car ddd)))))
)
(princ "\nDoi tuong khong phai la LINE! Chon lai")
(setq ddd (entsel "\nChon LINE nguon"))
)

 (setq DTDTT (car ddd))
 (setq DTTT (entget DTDTT))
 (setq NDTTT (cdr (assoc 1 DTTT)))
 (setq diem1 (cdr (assoc 10 DTTT)))
 (setq diem2 (cdr (assoc 11 DTTT)))

(grdraw diem1 diem2 3)
(setq gocchuan(angle diem1 diem2))
(thuchienchon)
(command "undo" "end")
(Princ)
) 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun C:NALL ( ) 
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")

(command "undo" "be")
(setq donvi (/ (getvar "viewsize") 50))

(Princ "\nHay chon doi tuong :")
(setq XX (ssget))
(setq diem1 (getpoint "\nDiem chuan thu nhat: "))
(setq diemvt1 (polar diem1 pi donvi))
(setq diemvt2 (polar diem1 (* 2 pi) donvi))
(setq diemvt3 (polar diem1 (/ pi 2) donvi))
(setq diemvt4 (polar diem1 (- 0 (/ pi 2)) donvi))
(grdraw diemvt1 diemvt2 3)
(grdraw diemvt3 diemvt4 3)
(setq diem2 (getpoint "\nDiem chuan thu hai: "))
(setq diemvt12 (polar diem2 pi donvi))
(setq diemvt22 (polar diem2 (* 2 pi) donvi))
(setq diemvt32 (polar diem2 (/ pi 2) donvi))
(setq diemvt42 (polar diem2 (- 0 (/ pi 2)) donvi))
(grdraw diemvt12 diemvt22 3)
(grdraw diemvt32 diemvt42 3)
(setq gocchuan(angle diem1 diem2))
(thuchienchon)
(command "undo" "end")
(Princ)
) 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun thuchienchon ()
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)
(Princ "\nHay chon cac LINE dich :")
(setq SS (ssget '((0 . "LINE"))))

(setq i 0)
(setq N (sslength ss))
(while (< i N)
  (setq doituong (ssname SS i))
  (setq ttdt (entget doituong))
  (setq diem1m (cdr (assoc 10 ttdt)))
  (setq diem2m (cdr (assoc 11 ttdt)))
(thuchienall)
  (setq i (1+ i))
)
(setvar "osmode"luubatdiem)
(Princ)
) 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun thuchienall ()
(setq gocmoi(angle diem1m diem2m))
(setq goctinh (- gocmoi gocchuan))
(setq diem3 (polar diem1m goctinh 100))

(setq L 0)
(setq M (sslength XX))
(while (< L M)
(setq DT (ssname xx L))
(command ".copy" DT "" diem1 diem1m)
(command ".rotate" "last" "" diem1m diem3)
(setq L (1+ L))
)
(Princ)
) 

http://www.cadviet.com/forum/index.php?sho...12064&st=20

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Lisp Trang đang sử dụng, mọi người tham khảo:

 

(defun C:LP(/ PNT1 P1X P1Y STDY DY COORDN COORDE PTXT)

(setq PNT1 (getpoint

"\nPick coordinate point: "))

(setq P1X (car pnt1)) ;X coord

(setq P1Y (cadr pnt1)) ;Y coord

(setq STDX (rtos P1X 2 3))

(setq STDY (rtos P1Y 2 3))

(setq COORDN (strcat "X""="STDX ))

(setq COORDE (strcat "Y""="STDY ))

(setq PTXT (getpoint

"\nPick text location: "))

(command "LEADER" PNT1 PTXT "" COORDN COORDE "")

(princ)

)

 

Hình như Lisp mình ngắn nhất. Chắc hay nhất rồi đây. Ai phản đối thì alô cho mình đi uống bia nha. ke ke ke :cheers: :cheers:

Lisp của bạn còn đơn sơ và dài. Lisp dưới đây là mình đã cải tiến mã lisp của bạn. Màu xanh là chỗ cải tiến.

 

(defun C:LP(/ PNT1 COORD PTXT) ;

(setq PNT1 (getpoint

"\nPick coordinate point: "))

(setq COORD (mapcar 'strcat '("X=""Y=") (mapcar 'rtos PNT1 '(2 2) '(3 3))))

(setq PTXT (getpoint

"\nPick text location: "))

(command "LEADER" PNT1 PTXT "" (car COORD) (cadr COORD) "")

(princ)

)

 

So sánh hiệu suất:

- Rút từ 14 dòng lệnh về còn 9 dòng lệnh.

- Rút từ 8 biến về còn 3 biến.

  • Vote tăng 5

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
svba1608    624
Hình như Lisp mình ngắn nhất. Chắc hay nhất rồi đây. Ai phản đối thì alô cho mình đi uống bia nha. ke ke ke :cheers: :cheers:
Lisp của bạn còn đơn sơ và dài. Lisp dưới đây là mình đã cải tiến mã lisp của bạn. Màu xanh là chỗ cải tiến.

So sánh hiệu suất:

- Rút từ 14 dòng lệnh về còn 9 dòng lệnh.

- Rút từ 8 biến về còn 3 biến.

 

Đúng là "trên người còn có người", "ngoài trời còn có trời", "cao nhân tất có cao nhân trị". :cheers:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
khaosat2009    10
(defun C:LP(/ PNT1 COORD PTXT) ;

(setq PNT1 (getpoint

"\nPick coordinate point: "))

(setq COORD (mapcar 'strcat '("X=""Y=") (mapcar 'rtos PNT1 '(2 2) '(3 3))))

(setq PTXT (getpoint

"\nPick text location: "))

(command "LEADER" PNT1 PTXT "" (car COORD) (cadr COORD) "")

(princ)

)

Nhờ Anh giúp bổ sung thêm cho lisp thực hiện thêm các công việc sau :

1. Thêm tên điểm.

2. Xuất ra bảng thống kê tọa độ các điểm, với nội dung : STT - Tên điểm - Tọa độ X - Tọa độ Y - Ghi chú.

3. Xuất bảng thống kê ra file text.

Mong được anh giúp. CÁm ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
PES    6

Em xin mạn fép bác Hoành, múa rìu ...cắt tiếp ... của bác cho ngắn hơn :cheers:

 

(defun C:LP(/ PNT1) ;

(setq PNT1 (getpoint "\nPick coordinate point: "))

(command "LEADER" PNT1 (getpoint "\nPick text location: ") "" (strcat "X=" (rtos (car PNT1) 2 2)) (strcat "X=" (rtos (cadr PNT1) 2 2)) "")

(princ)

)

 

Ko tính về số dòng nữa thì em cũng chỉ dùng đến 1 biến thôi. (Em nhớ lại ngày xưa cũng có lần em thắng được cả ...thầy giáo Pascal vì cả đoạn chương trình dài lê thê chỉ dùng đến 1 biến trong khi thầy ra yêu cầu tối thiểu 3 biến, bây h ko nhớ bài đó là bài j nữa, chỉ nhớ 1 biến đó được ...xài đi xài lại nhiều lần :cheers: )

 

Người giỏi thì nhiều lắm bạn ơi. Ai cũng có điểm mạnh riêng của mình. Hãy phát huy điểm mạnh thay vì sửa chữa điểm yếu.

Người giỏi cũng nhiều mà người tưởng mình giỏi cũng nhiều

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
PES    6
Kha kha kha. Có vẻ có 1 cao thủ xuất hiện đây. Trang đây không biết gì AutoLisp và CAD. Vì tòan vẽ tay. Khà khà khà.

 

Pes. Nếu bạn có tài thật Trang đây xin cộng tác. Bài tóan của Trang như sau:

 

Trang vẽ tay rồi scan vào máy tính. Dùng chương trình tạo ra file phối cảnh như 3d max. OK chứ???

 

Cao thủ Nhân tài Đất việt năm ngoái Trang gặp giỏi lắm. Phải nói cực giỏi. Năm nay Trang đang chờ kết quả chung khảo. Kha kha kha.

Bác Trang này nhầm rồi, em ko fải cao thủ, cũng ko fải "Nhân tài đất Việt", em lại càng ko giỏi trong lĩnh vực nào cả, khi nào bác làm ra cái sản fẩm như trên rồi, em chỉ xin bác được cộng tác về mảng ...marketing :cheers: (bác thử hỏi mấy bác nông dân làm ra máy bay trực thăng xem họ có cộng tác ...sản xuất BOING với bác ko? :cheers:

(Nói một cách nghiêm túc, về mặt công nghệ, ý tưởng của bác ko fải là cái j quá khó)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
PES    6
Hả??? Ý tưởng không quá khó? Nếu bạn chuyên về Marketing sao lại nói ý tưởng mình không quá khó? Bạn giải thích kỹ chút xíu được chứ??? Vì nếu làm được thì phần mềm Max sẽ không còn cần thiết. He he he. Bạn cho rằng mình như các bác nông dân àh? Okie mình chấp nhận. Thà mình là nông dân mà có thể làm ra máy bay còn hơn nhiều tiến sỹ mà cả đời chưa bao giờ đụng vào 1 chi tiết của máy bay. Mình dân miền Nam nên chất phác lắm. Không câu nệ.

 

Nếu bạn nào có thể làm được ý tưởng Trang đưa ở trên Trang xin mua lại. :cheers:

 

@ Pes: Bạn là dân Marketing nhưng sao đến giờ mình chưa thấy bạn Marketing sản phẩm nào vậy? Chẳng lẽ Marketing thương hiệu PES??? :cheers:

http://www.baomoi.com/Home/ThietBi-PhanCun...-2D/2615911.epi

Bất cứ ai yêu công nghệ đều có thể tìm được những soft dạng như thế này cho dù là nông dân, tiến sỹ, dân kỹ thuật hay dân market.

Bổ sung:

http://www.isprs.org/commission5/3darch07/..._pellegrini.pdf

@ tuongtrang : Tài liệu này có thể có ích cho bạn ? <_<

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thaistreetz    515

thôi nào 2 bạn. muộn rồi, topic này cũng lạc chủ đề rồi đấy. mỗi người một quan điểm. các bạn cứ giữ lấy quan điểm riêng của mình vì các bạn tranh luận với nhau ở đây không giúp ích gì đc cho mọi người cả.

@Trang: Mình biết là văn hóa người nam và người bắc có nhiều nét khác nhau, tuy nhiên chúng ta là những người làm kỹ thuật, trong công việc chúng ta chỉ cần biết 2 điều cơ bản nhất là đúngsai. mình mong bạn đừng fân biệt mọi người trong 4r này theo kiểu như vậy nữa nhé.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bosstuyentn    1

PP vừa có thêm 1 Lisp mới được viết theo yêu cầu:

+ Lệnh POL dùng để vẽ 3D Polyline qua các Points

+ Lệnh SPL dùng để vẽ 3D Spline qua các Points

Hai lệnh này dùng chung trong 1 Lisp pol_spl.lsp

http://www.cadviet.com/upfiles/pol_spl.lsp

 

sao em ko dow dc 2 lisp này nhỉ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bosstuyentn    1
Bài toán là dùng LISP để tạo ra Pline 3D, các profile, section có thể dùng dể thiết kế các hệ thống đường ống Gas, Water, Sewer, đường dây điện cao thế ... ngầm duới mặt đất.

PP bổ sung thêm vài LISP đã down từ CADViet và cac forum khác:

http://www.cadviet.com/upfiles/Lisp_bo_sung_1.zip

+ Lệnh NN dùng nối các objects lại thành 1 Pline.

+ Lệnh PLREV dùng đổi hướng Lines, Polylines, LWPolylines, các objects khác.

+ Lệnh NUM dùng đánh dấu các point theo thứ tự, có thể thêm text trước và sau, TD: C1x, C2x, C3x.

Nhờ Bác nào thêm vào phần đánh theo cấp số nhân, TD: +5m, +10m, +15m...

+ Lệnh EXPTXT dùng xuất toạ độ ra 1 file text.

+ Lệnh XPIPE hoặc XTUBE dùng vẽ đường ống dạng 3D.

Bác Nataca hoặc các Bác quan tâm có Lisp gì hữu ích khác thi xin chia sẽ thêm. Thanks you.

bac PhiPhi cho em Hướng dẫn sd được ko mail của em là tutuyen86@gmail.com có hình minh hoạ thì tốt. cái Xpipe thì dùng được với ống đoạn thẳng thế còn ống cong bất kỳ thì sao, em muốn ống rỗng thì làm như thế nào

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bosstuyentn    1

Em cần các huynh viết hộ cái lisp như trong hình. Làm sao khi em muốn vẽ các hình dạng ống, em chỉ cần vẽ đuờng line truớc làm trục tâm ống, rùi nhập bán kính hình tròn trong hình tròn ngoài rùi tự động nó uốn theo đuờng line em vẽ lúc đầu. Đối với ống dạng đa giác cũng tuơng tự, sau khi vẽ đuờng line hay pline làm tâm. Nhập chiều các cạnh hình trong, rùi hình ngoài, kết quả là nó uốn theo đuờng tâm line lúc đầu. MOng các bác giúp em với. Em làm thủ công vừa tay to vừa lâu

ongong_1.gif

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Phiphi-    175
bac PhiPhi cho em Hướng dẫn sd được ko mail của em là tutuyen86@gmail.com có hình minh hoạ thì tốt. cái Xpipe thì dùng được với ống đoạn thẳng thế còn ống cong bất kỳ thì sao, em muốn ống rỗng thì làm như thế nào

Q. Còn ống cong bất kỳ thì sao + muốn ống rỗng thì làm như thế nào?

A. Thì phải vẽ 1 profile rồi dùng lệnh Xpipe hoặc Xtube.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bosstuyentn    1
Q. Còn ống cong bất kỳ thì sao + muốn ống rỗng thì làm như thế nào?

A. Thì phải vẽ 1 profile rồi dùng lệnh Xpipe hoặc Xtube.

dùng lệnh của bác em chỉ vẽ được hình trụ đặc thôi, ý em là em muốn vẽ 1 ống nó có độ dầy là x thì làm thế nào. em toàn vẽ 2 hình trùng tâm rùi Subtrạct nhưng như thế lâu quá.. mà cái lệnh xpipe và xtube dùng thế nào, em ko vẽ được theo 1 đường cong tùy ý cho trước

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Phiphi-    175
dùng lệnh của bác em chỉ vẽ được hình trụ đặc thôi, ý em là em muốn vẽ 1 ống nó có độ dầy là x thì làm thế nào. em toàn vẽ 2 hình trùng tâm rùi Subtrạct nhưng như thế lâu quá.. mà cái lệnh xpipe và xtube dùng thế nào, em ko vẽ được theo 1 đường cong tùy ý cho trước

TD: Vẽ đường ống có D=100, d=80 , Độ dày x=(D-d)/2

1. Vẽ dường tâm của đoạn ống (gọi là PROFILE = đường cong màu đỏ trong bài #49)

2. Load Xtube.lsp, đánh lệnh XTUBE:

Command: XTUBE

Specify external diameter <40.00>: 100

Specify internal diameter <37.00>: 80

<<< Select objects to extrude and press Enter >>>

Select objects: 1 found

Enter.

Chuyển sang 3D view để xem.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bosstuyentn    1
TD: Vẽ đường ống có D=100, d=80 (Độ dày x=D-d)

1. Vẽ dường tâm của đoạn ống (gọi là PROFILE = đường cong màu đỏ trong bài #49)

2. Load Xtube.lsp, đánh lệnh XTUBE:

Command: XTUBE

Specify external diameter <40.00>: 100

Specify internal diameter <37.00>: 80

<<< Select objects to extrude and press Enter >>>

Select objects: 1 found

Enter.

Chuyển sang 3D view để xem.

Cảm ơn bác PhiPhi nhiều. em làm được rồi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kienpt_83    0
+ Bác cứ unzip vào thẳng folder x:\Program Files\AutoCAD xxxx\Support.

+ Lệnh APPLOAD, chọn filename: IMPORTXYZ (double click)

+ Lệnh IMPORTXYZ, chọn file toạ độ.

file excel cần có định dạng như thế nào thì mới dùng được.em đã thử dùng nhưng khi bấm vào GetxyzCoord thì toàn báo lỗi và không thể load tọa độ điểm đc.Mong các pro giúp em với!!!!!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tdkhoa    0

Chào các bác.

Líps này tuy đã viết lâu rồi, tôi cũng đã dơnload về dùng thừ nhưng không thể sử dụng, nay tôi muốn quay lại vấn đề này một chút, mong các bác nhiệt tình giúp đỡ.

Thứ nhất: Khi thực hiện xong việc đưa tọa độ x,y và cao độ z vào thì khó có thể nối các điểm lại với nhau. Xem hình của bác Phiphi

http://www.cadviet.com/forum/index.php?showtopic=9019

Em muốn các bác viết giúp em cái lips nối các điểm giao nhau ấy lại chứ nối bằng tay thì lâu qua, hoặc có cách nào chỉ giúp em cụ thể tí.

Em là dân ngoại đạo mong các bác giúp đỡ. Chân thành cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

+ Lệnh TABCORD để vẽ bảng toạ độ trong CAD.

 

Lisp này rất hay. Mình muốn chỉnh tên các đỉnh Polyline xuất ra theo định dạng: A1, A2,...An. Chứ không phải theo định dạng A,B,..,M... (anphab)

Cám ơn nhiều !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhatquyelec    1

Chào mọi người,

Mình vào diễn đàn thấy đề tài này có liên quan đến công việc mình đang làm, giờ hỏi không biết có còn ai trả lời không!

Mong mọi người giúp đỡ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Chào mọi người,

Mình vào diễn đàn thấy đề tài này có liên quan đến công việc mình đang làm, giờ hỏi không biết có còn ai trả lời không!

Mong mọi người giúp đỡ

Sao chưa hành động mà đã sợ thất bại? Yêu ai thì cứ tán đại đi chứ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tien05mt    0

PP xin upload các LISP và 1 bản vẽ để Bác nào quan tâm thì tham khảo thêm:

http://www.cadviet.c...nhap_toa_do.zip

PP sử dụng trong bản vẽ như sau:

+ Lệnh C2P trong C2P.lsp (do Bác Ssg viết) để chia Pline (màu green) cách khoảng 5 unit.

+ Lệnh COORN trong COORN.lsp để xuất các toạ độ trên Pline ra 1 file Excel/Text.

+ Lệnh TABCORD để vẽ bảng toạ độ trong CAD.

+ Lấy giá tri Z elevation trong bản vẽ để thay các Z trong file toa độ.

+ Lệnh IMPTS trong TAL_ImportPts.lsp đọc file text để vẽ các Points với cao độ Z.

+ Nối các Point lại với nhau.

LISP cần bổ sung thêm:

1. Lisp vẽ các Point tại các giao điểm của profile (màu vàng) rồi xuất ra file Excel/Text và 1 bảng toạ độ như COORN.lsp

2. Sửa lại TAL_ImportPts.lsp để có thể tự động vẽ line nối các point với nhau.

Xin các Bác help thêm. Thanks you

P/s: TAL_ImportPts.lsp > http://www.cadviet.c...?showtopic=8894

 

profilecl2.jpg

w1080.png

Cho mình hỏi tí. lệnh coorn xuất tọa độ sang txt or excel, mình ko xuất nhưng cao độ Z ko có. bạn có thế chỉ cho mình với ko? thank for you!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thanhsan57    0

 

PP xin upload các LISP và 1 bản vẽ để Bác nào quan tâm thì tham khảo thêm:

http://www.cadviet.com/upfiles/Lisps_xuat_nhap_toa_do.zip

PP sử dụng trong bản vẽ như sau:

+ Lệnh C2P trong C2P.lsp (do Bác Ssg viết) để chia Pline (màu green) cách khoảng 5 unit.

+ Lệnh COORN trong COORN.lsp để xuất các toạ độ trên Pline ra 1 file Excel/Text.

+ Lệnh TABCORD để vẽ bảng toạ độ trong CAD.

+ Lấy giá tri Z elevation trong bản vẽ để thay các Z trong file toa độ.

+ Lệnh IMPTS trong TAL_ImportPts.lsp đọc file text để vẽ các Points với cao độ Z.

+ Nối các Point lại với nhau.

LISP cần bổ sung thêm:

1. Lisp vẽ các Point tại các giao điểm của profile (màu vàng) rồi xuất ra file Excel/Text và 1 bảng toạ độ như COORN.lsp

2. Sửa lại TAL_ImportPts.lsp để có thể tự động vẽ line nối các point với nhau.

Xin các Bác help thêm. Thanks you

P/s: TAL_ImportPts.lsp > http://www.cadviet.com/forum/index.php?showtopic=8894

 

Chào bạn Phiphi bạn có thể chỉ cho mình rõ hơn về lệnh IMPTS trong TALL_ImportPts.lsp không mình đang cần nối các points theo số thứ tự trong file txt lại với nhau, vì số lượng points rất nhiều trên 3000 điểm mà nối bằng tay thì ko biết đến khi nào mong bạn giúp đở cảm ơn bạn rất nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×